MarketPress: Which version of Market press works with WP 3.2.1?

Hi there,
I have wordspress 3.2.1 (and am not looking to upgrade), can you please let me know which is the latest version of Market Press that works with this version of Wordpress?

It just says I need to use a lower one that the current one, doesn't say which one though.

Thanks